import request from '@/utils/request'


export function getData4panel4(data) { // 导师信息
  return request({
    url: 'api/mentor',
    method: 'get',
    params: data,
  })
}

export function getData4panel0(data) { // 孵化器概况信息
  return request({
    url: 'api/incubator/profile',
    method: 'get',
    params:data
  })
}

export function getDialogData4panel0(data) { // 孵化器概况信息
  return request({
    url: 'api/incubatorRevenue',
    method: 'get',
    params: data,
  })
}

export function getData4enterprise(data) {
  return request({
    url: 'api/company/companyName/list',
    method: 'get',
    params: data
  })
}
export function getData4enterpriseDetail(data) {
  return request({
    url: 'api/company/web/details',
    method: 'get',
    params: data
  })
}

export function getDialogData4panel1_2(data) {
  return request({
    url: 'api/companyAnnualInfo',
    method: 'get',
    params: data
  })
}

export function getDialogData4panel1_3(data) {
  return request({
    url: 'api/companyProduct',
    method: 'get',
    params: data
  })
}




export function getData4tech(data) {
  return request({
    url: 'api/incubator',
    method: 'get',
  })
}

export function del(ids) {
  return request({
    url: 'api/users',
    method: 'delete',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'api/incubator',
    method: 'put',
    data
  })
}
export function add(data) {
  return request({
    url: 'api/incubator',
    method: 'post',
    data
  })
}

export function editUser(data) {
  return request({
    url: 'api/users/center',
    method: 'put',
    data
  })
}


export default { getData4panel0, getDialogData4panel0, getData4panel4, getData4enterprise, 
  getData4enterpriseDetail, getDialogData4panel1_2, getDialogData4panel1_3,
  getData4tech, add, edit, del }

